"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var view_1 = require("tns-core-modules/ui/core/view");
var CircularProgressLayout = (function (_super) {
    __extends(CircularProgressLayout, _super);
    function CircularProgressLayout() {
        return _super.call(this) || this;
    }
    Object.defineProperty(CircularProgressLayout.prototype, "android", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    CircularProgressLayout.prototype.createNativeView = function () {
        console.log(android.support.wear.widget.CircularProgressLayout);
        console.dir(android.support.wear.widget.CircularProgressLayout);
        this._android = new android.support.wear.widget.CircularProgressLayout(this._context);
        console.log('this._android', this._android);
        if (!this._androidViewId) {
            this._androidViewId = android.view.View.generateViewId();
        }
        this._android.setId(this._androidViewId);
        return this._android;
    };
    CircularProgressLayout.prototype.initNativeView = function () {
        _super.prototype.initNativeView.call(this);
        if (this.totalTime) {
            this.android.setTotalTime(this.totalTime);
        }
        var timerFinishedListener = new android.support.wear.widget.CircularProgressLayout.OnTimerFinishedListener({
            onTimerFinished: function (param0) {
                console.log('timer finished');
            }
        });
        this.android.setOnTimerFinishedListener(timerFinishedListener);
    };
    CircularProgressLayout.prototype.startTimer = function () {
        this.android.startTimer();
    };
    CircularProgressLayout.prototype.stopTimer = function () {
        this.android.stopTimer();
    };
    CircularProgressLayout.prototype.onLoaded = function () {
        var _this = this;
        _super.prototype.onLoaded.call(this);
        this._childViews.forEach(function (value) {
            if (!value.parent) {
                _this._addView(value);
                _this._holder.addView(value.nativeView);
            }
        });
    };
    CircularProgressLayout.prototype._addChildFromBuilder = function (name, value) {
        if (!this._childViews) {
            this._childViews = new Map();
        }
        if (!value.parent) {
            this._childViews.set(value._domId, value);
        }
    };
    return CircularProgressLayout;
}(view_1.View));
exports.CircularProgressLayout = CircularProgressLayout;
//# sourceMappingURL=index.android.js.map