"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var view_1 = require("tns-core-modules/ui/core/view");
var callback_1 = require("./callback");
var SwipeDismissFrameLayout = (function (_super) {
    __extends(SwipeDismissFrameLayout, _super);
    function SwipeDismissFrameLayout() {
        return _super.call(this) || this;
    }
    Object.defineProperty(SwipeDismissFrameLayout.prototype, "android", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    SwipeDismissFrameLayout.prototype.createNativeView = function () {
        this._android = new android.support.wear.widget.SwipeDismissFrameLayout(this._context);
        this._holder = new android.widget.LinearLayout(this._context);
        if (!this._androidViewId) {
            this._androidViewId = android.view.View.generateViewId();
        }
        this._android.setId(this._androidViewId);
        this._holder.setOrientation(android.widget.LinearLayout.VERTICAL);
        this._holder.setGravity(android.view.Gravity.FILL_VERTICAL);
        this._holder.setLayoutParams(new android.view.ViewGroup.LayoutParams(android.view.ViewGroup.LayoutParams.FILL_PARENT, android.view.ViewGroup.LayoutParams.FILL_PARENT));
        this._android.addView(this._holder);
        return this._android;
    };
    SwipeDismissFrameLayout.prototype.initNativeView = function () {
        _super.prototype.initNativeView.call(this);
        this._android.addCallback(new callback_1.TNS_SwipeDismissFrameLayoutCallback(new WeakRef(this)));
    };
    SwipeDismissFrameLayout.prototype.disposeNativeView = function () {
        _super.prototype.disposeNativeView.call(this);
    };
    SwipeDismissFrameLayout.prototype.onLoaded = function () {
        var _this = this;
        _super.prototype.onLoaded.call(this);
        this._childViews.forEach(function (value) {
            _this._addView(value);
            _this._holder.addView(value.nativeView);
        });
    };
    SwipeDismissFrameLayout.prototype._addChildFromBuilder = function (name, value) {
        if (!this._childViews) {
            this._childViews = new Map();
        }
        if (!value.parent) {
            this._childViews.set(value._domId, value);
        }
    };
    SwipeDismissFrameLayout.dimissedEvent = 'dismissed';
    SwipeDismissFrameLayout.swipeCanceledEvent = 'swipeCanceled';
    SwipeDismissFrameLayout.swipeStartedEvent = 'swipeStarted';
    return SwipeDismissFrameLayout;
}(view_1.View));
exports.SwipeDismissFrameLayout = SwipeDismissFrameLayout;
//# sourceMappingURL=index.android.js.map